.body {
    visibility: hidden;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    color: #364087;
    margin: 0;
    font-size: 3vh;
}

body.visible {
    visibility: visible;
}

.header {
    display: flex;
    justify-content: space-between;
}

.logo-container {
    display: flex;
    align-items: inline-block;
}

.logo {
    height: 12vh;
    cursor: pointer;
}

.desktop-nav {
    display: none;
}

.custom-button {
    display: block !important;
    padding: 1vh !important;
}

.accordion-button.collapsed .menu-icon::before {
    content: '☰'; 
}

.accordion-button .menu-icon::before {
    content: '✕'; 
}

.accordion-button::after {
    display: none;
}

.accordion-text {
    color: #364087;
    margin: 3vh 0 3vh 0;
}

.accordion-text:hover {
    cursor: pointer;
    text-decoration: underline;
}

.menu-icon {
    font-size: 5vh;
    padding: 1vh 7vh 1vh 7vh;
    text-align: center;
    margin: 0;
}

.contact-us-section {
    text-align: center;
    font-size: 5vh;
    background-image: url('../images/lighthouse.webp');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 100%;
    height: 100vh;
    display: flex; 
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}

.contact-us-section__desktop {
    display: none;
}

.contact-button {
    border-radius: 10px;
    font-size: 20px;
    background-color: #364087;
    color: white;
    text-align: center;
    font-size: 20px;
    padding: 15px 20px;
    margin-bottom: 10vh;
    margin-top: 10vh;
    width: 220px;
    transition: all 0.5s;
    cursor: pointer;
    box-shadow: 0 10px 20px -8px rgba(0, 0, 0,.7);
    position: relative;
}
  
.contact-button:after {
    content: '»';
    position: absolute;
    opacity: 0;  
    top: 14px;
    right: -20px;
    transition: 0.5s;
}
  
.contact-button:hover{
    padding-right: 24px;
    padding-left:8px;
}
  
.contact-button:hover:after {
    opacity: 1;
    right: 10px;
}

.text-large {
    font-size: 7vw;
}

.text-medium {
    font-size: 5vw;
    margin: 5vh;
}

.text-margin {
    margin: 5vw;
}

.text-large__margin-right {
    margin-right: 12vh;
}

.text-animation {
    opacity: 0;
    animation: aparecer 2s forwards;
    transform: translateX(-30px);
}

@keyframes aparecer {
    0% {
        opacity: 0;
        transform: translateX(-30px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

.message {
    font-style: normal;
    padding: 3vh;
}

.message__white {
    color: white;
}

.services-section {
    padding: 3vw;
    background-color: #ededed;
    text-align: center;
}

.services-container {
    padding: 3vh;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0.5vh 0.5vh 20px rgba(0, 0, 0, 0.204);
    margin-top: 3vh;
}

.services-container a {
    text-decoration: none;
    color: inherit;
}

.display-none {
    opacity: 0;
}

.container-right-slide {
    opacity: 0;
    animation: right-slide 2s forwards;
    transform: translateX(-30px);
}

@keyframes right-slide {
    0% {
        opacity: 0;
        transform: translateX(-30px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

.container-left-slide {
    opacity: 0;
    animation: left-slide 2s forwards;
    transform: translateX(30px);
}

@keyframes left-slide {
    0% {
        opacity: 0;
        transform: translateX(30px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

.services-icon {
    margin: 7vh 0 2vh 0;
    width: 10vh;
}

.counter-container {
    background-color: #364087;
    color: white;
    border-radius: 10px;
    margin-top: 6vh;
}

.counter-number {
    font-size: 8vh;
}

.donate-container {
    background-color: #364087;
    color: white;
    border-radius: 10px;
    box-shadow: 0.5vh 0.5vh 20px rgba(0, 0, 0, 0.204);
    margin-top: 6vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.donate-columns {
    display: flex;
    justify-content: space-between;
    width: 100%;
    max-width: 800px;
}

.donate-columns div {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1;
}

.donate-images {
    width: 15vh;
}

.sponsors {
    padding-top: 2vh;
    background-color: #ebedfe;
    color: #363f87;
    position: relative;
    bottom: 0;
    justify-content: center;
    text-align: center;
    width: 100%;
}

.sponsor-logo {
    width: 20vh;
    margin: 5vh 4.5vw 3vh 4.5vw;
}

.pointer {
    cursor: pointer;
}

.line {
    width: 60%;
    border-top: 1px solid #363f87;
    margin: 5vh auto;
}

.mobile-news-image {
    display: flex !important;
}

.desktop-news-image {
    display: none !important;
}

.footer {
    background-color: #d1d6fb;
    position: relative;
    bottom: 0;
    justify-content: center;
    text-align: center;
    display: flex;
    width: 100%;
    color: #363f87;
    padding: 3vh;
}

.footer-content {
    font-size: 2vh;
}

@media (min-width: 1530px) {
    .header {
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        height: 18vh;
        width: 100%;
    }

    .nav-button {
        display: none;
    }

    .logo {
        height: 18vh;
        position: absolute;
        left: 0;
        transform: translateY(-50%);
        margin-left: 2vh;
        padding: 1vh;
    }

    .desktop-nav {
        display: grid;
        justify-content: space-between;
        text-align: center;
    }

    .nav-content {
        margin: 0 4vh 0 4vh;
        color: #364087 !important;
        position: relative;
        text-decoration: none;
    }
      
    .nav-content::before {
        background: #ebedfe;
        content: "";
        inset: 0;
        position: absolute;
        transform: scaleX(0);
        transform-origin: right;
        transition: transform 0.5s ease-in-out;
        z-index: -1;
    }
      
    .nav-content:hover::before {
        transform: scaleX(1);
        transform-origin: left;
    }

    .text-medium {
        font-size: 4vh;
    }

    .text-margin {
        margin: 5vh;
    }
}

@media (min-width: 768px) {

    .menu-icon {
        margin-top: 3vh;
        font-size: 6vh;
    }

    .logo {
        height: 18vh;
        left: 0;
        margin-left: 2vh;
        padding: 1vh;
    }

    .contact-us-section {
        display: none;
    }

    .contact-us-section__desktop {
        text-align: center;
        font-size: 5vh;
        background-image: url('../images/lighthouse-desktop.webp');
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        width: 100%;
        height: 100vh;
        display: flex; 
        flex-direction: column;
        justify-content: center;
        align-items: center;
        position: relative;
        padding-bottom: 20vh;
    }

    .services-section {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .horizontal-display {
        display: flex;
        justify-content: space-between;
        width: 100%;
        gap: 20px; 
    }
    
    .horizontal-display > div {
        flex-grow: 1;
        flex-basis: 0;
        padding: 10px;
    }

    .text-desktop {
        margin-right: 40vw;
        margin-left: 10vw;
    }

    .text-large {
        font-size: 5vh;
        padding: 4vh;
    }
    
    .services-images-container {
        margin-top: 7vh;
        margin-bottom: 7vh;
        display: flex;
    }

    .services-icon {
        margin: 0 0 3vh 0;
    }

    .border-img {
        transition: .5s ease;
    }

    .image-to-circle {
        transition: 1s ease;
    }

    .underline-circle:hover {
        text-decoration: underline;
        cursor: pointer;
    }

    .underline-border:hover {
        text-decoration: underline;
        cursor: pointer;
    }
        
    .underline-circle:hover .image-to-circle {
        border-radius: 50%;
        transition: 1s ease;
    }

    .underline-border:hover .border-img {
        box-shadow: 0 0 0 5px #363f87;
        transition: 1s ease;
    }

    .counter-container {
        width: 50%;
    }

    .text-medium {
        font-size: 4vh;
        margin: 4vh;
    }

    .text-margin {
        margin: 5vh;
    }

    .carousel-text {
        font-family: Verdana, Arial, Helvetica, sans-serif;
        color: #364087;
        font-size: 3vh;
    }

    .carousel-image-padding {
        padding: 0 35vh 15vh 35vh;
    }

    .mobile-news-image {
        display: none !important;
    }
    
    .desktop-news-image {
        display: flex !important;
    }

    .rsa-logo {
       width: 15vh;
       margin: 2vh;
    }

    .footer-content {
        display: flex;
        justify-content: space-between;
        width: 100%;
        max-width: 800px;
    }
    
    .footer-content p {
        display: flex;
        flex-direction: column;
        align-items: center;
        flex: 1;
        margin: 0 20px;
    }
}